/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuscriptrecord;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.Size;

import java.io.Serializable;


/**
 * 数据源配置
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！  <br>
 * createdate:  2022-10-29 11:40:19  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@ApiModel(description = "数据源配置")
public class AtuDbConfigAddTmpDto implements Serializable {
  /**
   * 数据源名称<br>
   */
  @ApiModelProperty("数据源名称")
  @Size(max = 50, message="数据源名称-name: 数据长度不能 > 50" )
  private String name;
  /**
   * 数据源类型：0-MySQL、1-Oracle、2-MongoDB<br>
   */
  @ApiModelProperty("数据源类型：0-MySQL、1-Oracle、2-MongoDB")
  private Integer type;
  /**
   * 主机ip<br>
   */
  @ApiModelProperty("主机ip")
  @Size(max = 50, message="主机ip-host: 数据长度不能 > 50" )
  private String host;
  /**
   * 端口<br>
   */
  @ApiModelProperty("端口")
  @Size(max = 50, message="端口-port: 数据长度不能 > 50" )
  private String port;
  /**
   * 数据库名称<br>
   */
  @ApiModelProperty("数据库名称")
  @Size(max = 50, message="数据库名称-dbName: 数据长度不能 > 50" )
  private String dbName;
  /**
   * 数据库登入名<br>
   */
  @ApiModelProperty("数据库登入名")
  @Size(max = 50, message="数据库登入名-userName: 数据长度不能 > 50" )
  private String userName;
  /**
   * 数据库登入密码<br>
   */
  @ApiModelProperty("数据库登入密码")
  @Size(max = 50, message="数据库登入密码-password: 数据长度不能 > 50" )
  private String password;
  @ApiModelProperty("系统空间")
  @Size(max = 32, message="系统空间-projectId: 数据长度不能 > 32" )
  private String projectId;
  /**
   * 数据源名称<br>
   */
  public String getName()
  {
      return name;
    }

  /**
   * 数据源名称<br>
   *
   * @param name 数据源名称
   */
  public void setName(String name)
  {
      this.name = name;
    }
  /**
   * 数据源类型：0-MySQL、1-Oracle、2-MongoDB<br>
   */
  public Integer getType()
  {
      return type;
    }

  /**
   * 数据源类型：0-MySQL、1-Oracle、2-MongoDB<br>
   *
   * @param type 数据源类型：0-MySQL、1-Oracle、2-MongoDB
   */
  public void setType(Integer type)
  {
      this.type = type;
    }
  /**
   * 主机ip<br>
   */
  public String getHost()
  {
      return host;
    }

  /**
   * 主机ip<br>
   *
   * @param host 主机ip
   */
  public void setHost(String host)
  {
      this.host = host;
    }
  /**
   * 端口<br>
   */
  public String getPort()
  {
      return port;
    }

  /**
   * 端口<br>
   *
   * @param port 端口
   */
  public void setPort(String port)
  {
      this.port = port;
    }
  /**
   * 数据库名称<br>
   */
  public String getDbName()
  {
      return dbName;
    }

  /**
   * 数据库名称<br>
   *
   * @param dbName 数据库名称
   */
  public void setDbName(String dbName)
  {
      this.dbName = dbName;
    }
  /**
   * 数据库登入名<br>
   */
  public String getUserName()
  {
      return userName;
    }

  /**
   * 数据库登入名<br>
   *
   * @param userName 数据库登入名
   */
  public void setUserName(String userName)
  {
      this.userName = userName;
    }
  /**
   * 数据库登入密码<br>
   */
  public String getPassword()
  {
      return password;
    }

  /**
   * 数据库登入密码<br>
   *
   * @param password 数据库登入密码
   */
  public void setPassword(String password)
  {
      this.password = password;
    }
  /**
   * 系统空间<br>
   */
  public String getProjectId()
  {
      return projectId;
    }

  /**
   * 系统空间<br>
   *
   * @param projectId 系统空间
   */
  public void setProjectId(String projectId)
  {
      this.projectId = projectId;
    }
  public AtuDbConfigAddTmpDto()
  {
  }

}
